7.11. AAlib – Visualizzazione in modalità testuale
Indietro | Capitolo 7. Dispositivi di uscita video | Avanti

## 7.11. AAlib – Visualizzazione in modalità testuale

AAlib è una libreria per mostrare elementi grafici in modalità testuale, usando un potente renderizzatore ASCII. Ci sono valanghe di programmi che la utilizzano, come Doom, Quake, etc. MPlayer ne include un driver facilmente utilizzabile. Se `./configure` trova AAlib installata, il driver di uscita video per aalib verrà compilato.

Puoi usare alcune chiavi nella finestra AA per modificare le opzioni di renderizzazione:

Chiave | Azione
--- | ---
1 | diminuisce il contrasto
2 | aumenta il contrasto
3 | diminuisce la luminosità
4 | aumenta la luminosità
5 | abilita/disabilita il fast rendering
6 | imposta la modalità di dithering (nessuna, distribuzione di errore, Floyd Steinberg)
7 | inverte l'immagine
8 | passa tra i controlli di aa e quelli di MPlayer

Si possono usare le seguenti opzioni sulla riga di comando:

`-aaosdcolor=`V``

  modifica il colore OSD

`-aasubcolor=`V``

  modifica il colore dei sottitoli

  dove `V` può essere: `0` (normale), `1` (scuro), `2` (grassetto), `3` (font grassetto), `4` (invertito), `5` (speciale).

AAlib di suo fornisce un po' di opzioni. Di seguito alcune importanti:

`-aadriver`

  Impostra il driver aa preferito (X11, curses, Linux).

`-aaextended`

  Usa tutti e 256 i caratteri.

`-aaeight`

  Usa ASCII a otto bit.

`-aahelp`

  Lista tutte le opzioni per aalib.

### Nota

La renderizzazione è molto pesante per la CPU, specialmente usando AA-on-X (usando aalib su X), ed è più leggera su una console standard, senza framebuffer. Usa SVGATextMode per impostare una modalità a molti caratteri, poi divertiti! (le schede Hercules con seconda uscita sono mitiche :)) (ma IMHO puoi usare l'opzione `-vf 1bpp` per avere grafica su hgafb:)

Usa l'opzione `-framedrop` se il tuo computer non è abbastanza veloce da renderizzare tutti i fotogrammi!

Riproducendo su un terminale, avrai migliore velocità e qualità usando il driver Linux, non ncurses (`-aadriver linux`). Ma devi anche avere accesso a `/dev/vcsa`<terminale>``! Questo non è rilevato automaticamente da aalib, ma vo_aa cerca di trovare la modalità migliore. Leggi http://aa-project.sf.net/tune per altri consigli di impostazioni.

Indietro | Risali | Avanti
7.10. Uscita OpenGL | Partenza | 7.12. `libcaca` – Libreria Color ASCII Art